Bug 1316906 - (sabre/uri) Review Request: php-sabre-uri - Functions for making sense out of URIs
Review Request: php-sabre-uri - Functions for making sense out of URIs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: sabre/xml
  Show dependency treegraph
 
Reported: 2016-03-11 07:44 EST by Remi Collet
Modified: 2016-03-29 13:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-20 16:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
james.hogarth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2016-03-11 07:44:29 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/788c8d2ddc98107f55dfb57c1ff45a38a86e3a6f/php/sabredav/php-sabre-uri/php-sabre-uri.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-sabre-uri-1.1.0-1.remi.src.rpm
Description: 
sabre/uri is a lightweight library that provides several functions for
working with URIs, staying true to the rules of RFC3986.

Partially inspired by Node.js URL library, and created to solve real
problems in PHP applications. 100% unitested and many tests are based
on examples from RFC3986.

The library provides the following functions:
* resolve to resolve relative urls.
* normalize to aid in comparing urls.
* parse, which works like PHP's parse_url.
* build to do the exact opposite of parse.
* split to easily get the 'dirname' and 'basename' of a URL without
  all the problems those two functions have.

Autoloader: /usr/share/php/Sabre/Uri/autoload.php

Fedora Account System Username: remi
Comment 2 James Hogarth 2016-03-11 09:50:46 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

  * Package does not own files or directories owned by other packages.
    * Required due to not requiring a parent package that includes this, compatible with others
  * EPEL5 stuff to be stripped after initial import.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 10 files have unknown
     license. Detailed output of licensecheck in /home/james/workspace
     /fedora-scm/1316906-php-sabre-uri/licensecheck.txt
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Sabre(php-
     sabre-dav, php-sabre-event, php-sabre-vobject)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: php-sabre-uri (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.0 DB built Feb 09 2016 11:36:16 CET
     static analyze results in /home/james/workspace/fedora-scm/1316906
     -php-sabre-uri/phpci.log


Rpmlint
-------
Checking: php-sabre-uri-1.1.0-1.fc25.noarch.rpm
          php-sabre-uri-1.1.0-1.fc25.src.rpm
php-sabre-uri.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
php-sabre-uri.noarch: W: spelling-error %description -l en_US unitested -> untested, uni tested, uni-tested
php-sabre-uri.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
php-sabre-uri.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
php-sabre-uri.noarch: W: spelling-error %description -l en_US dirname -> surname
php-sabre-uri.noarch: W: spelling-error %description -l en_US basename -> base name, base-name, basemen
php-sabre-uri.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-uri.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sabre-uri.src: W: spelling-error %description -l en_US js -> dis, ks, j
php-sabre-uri.src: W: spelling-error %description -l en_US unitested -> untested, uni tested, uni-tested
php-sabre-uri.src: W: spelling-error %description -l en_US urls -> curls, purls, hurls
php-sabre-uri.src: W: spelling-error %description -l en_US url -> URL, curl, purl
php-sabre-uri.src: W: spelling-error %description -l en_US dirname -> surname
php-sabre-uri.src: W: spelling-error %description -l en_US basename -> base name, base-name, basemen
php-sabre-uri.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-uri.src: W: spelling-error %description -l en_US usr -> use, us, user
php-sabre-uri.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-sabre-uri.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
php-sabre-uri.noarch: W: spelling-error %description -l en_US unitested -> untested, uni tested, uni-tested
php-sabre-uri.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
php-sabre-uri.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
php-sabre-uri.noarch: W: spelling-error %description -l en_US dirname -> surname
php-sabre-uri.noarch: W: spelling-error %description -l en_US basename -> base name, base-name, basemen
php-sabre-uri.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-uri.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
1 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
php-sabre-uri (rpmlib, GLIBC filtered):
    php(language)
    php-composer(symfony/class-loader)
    php-pcre



Provides
--------
php-sabre-uri:
    php-composer(sabre/uri)
    php-sabre-uri



Source checksums
----------------
https://github.com/fruux/sabre-uri/archive/9012116434d84ef6e5e37a89dfdbfbe2204a8704/sabre-uri-1.1.0-9012116.tar.gz :
  CHECKSUM(SHA256) this package     : 14056a70d0a27a84f20e489ba94191068361eb67dc6614f38197d8bbdd1fc27b
  CHECKSUM(SHA256) upstream package : 14056a70d0a27a84f20e489ba94191068361eb67dc6614f38197d8bbdd1fc27b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1316906 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


==== Result ====

APPROVED (with the EPEL5 boilerplate removed after import)
Comment 3 Remi Collet 2016-03-11 09:56:17 EST
Thanks.
SCM request pending.
Comment 4 Gwyn Ciesla 2016-03-11 11:19:30 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-sabre-uri
Comment 5 Fedora Update System 2016-03-12 02:07:23 EST
php-sabre-uri-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b39a49c73
Comment 6 Fedora Update System 2016-03-12 02:07:29 EST
php-sabre-uri-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ddb59409b
Comment 7 Fedora Update System 2016-03-12 02:07:33 EST
php-sabre-uri-1.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a67535ce3
Comment 8 Fedora Update System 2016-03-12 02:07:37 EST
php-sabre-uri-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e85d3dcbdc
Comment 9 Fedora Update System 2016-03-12 02:49:32 EST
php-sabre-uri-1.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a67535ce3
Comment 10 Fedora Update System 2016-03-12 11:52:37 EST
php-sabre-uri-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ddb59409b
Comment 11 Fedora Update System 2016-03-12 12:24:38 EST
php-sabre-uri-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3b39a49c73
Comment 12 Fedora Update System 2016-03-12 15:50:16 EST
php-sabre-uri-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e85d3dcbdc
Comment 13 Fedora Update System 2016-03-20 16:20:44 EDT
php-sabre-uri-1.1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-20 21:51:32 EDT
php-sabre-uri-1.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-26 14:11:20 EDT
php-sabre-uri-1.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-29 13:57:23 EDT
php-sabre-uri-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.